Bug 444585 - smolt-gui doesn't reveal admin password
smolt-gui doesn't reveal admin password
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-29 07:35 EDT by James Gregory
Modified: 2009-07-20 17:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-20 17:53:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Gregory 2008-04-29 07:35:19 EDT
Description of problem:
When submitting a profile using the smolt-gui, it gives you a link to your Smolt
home page, but does not reveal what the admin password is for your profile.
However, running smoltSendProfile and re-submitting the profile, the admin
password is output after the profile has been submitted.

Version-Release number of selected component (if applicable):
1.1.1.1-4.fc9

How reproducible:
Every time

Steps to Reproduce:
1. Load the Smolt GUI
2. Submit your profile to Smolt, or access your Smolt home page
  
Actual results:
No details are provided for the admin password to your Smolt profile

Expected results:
The details about your admin password would be available somewhere within the
Smolt GUI
Comment 1 Bug Zapper 2008-05-14 06:22:11 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Andrew Wafaa 2008-09-05 08:44:54 EDT
Same issue on openSUSE using version smolt-1.1.1.1-17.1.  Once you do get an admin password you encounter Bug 460099.
Comment 3 James Gregory 2008-11-26 04:47:37 EST
This error is still present in smolt-1.1.1.1-8.fc9 - smolt-gui doesn't show the password, but using smoltSendProfile does.
Comment 4 v.plessky 2008-11-30 19:15:50 EST
This bug is still present in Smolt shipped with Fedora 10:

smolt-gui-1.1.1.1-9.fc10
smolt-1.1.1.1-9.fc10

Data in Smolt would be not accurate until Admin password is provided via Smolt-gui interface.
Few people would read FAQ and re-run smolt from CLI.
Comment 5 v.plessky 2008-11-30 19:31:09 EST
BTW: I can confirm that Fedora rpms:

smolt-gui-1.1.1.1-9.fc10
smolt-1.1.1.1-9.fc10

work fine on Mandriva Linux 2009.0.

Just posted profile and checked-in what works:
http://www.smolts.org/client/show/pub_6680f058-34e4-40cd-b19c-73213057f94e 
 
The only problem during installation was requirements of "python(abi)"

# rpm -i python-paste-1.7.1-1.fc10.noarch.rpm 
error: Failed dependencies:
	python(abi) = 2.5 is needed by python-paste-1.7.1-1.fc10.noarch

"python(abi)" is not provided by python package on Mandriva 2009
(python-2.5.2-5mdv2009.0)
Comment 6 Mike McGrath 2008-12-09 13:51:22 EST
The problem here is none of us smolt guys know anything about gui programming. 

You can always run "smoltSendProfile -a" to get it.  Otherwise it'll have to take one of us some time to learn how to code it or for someone to work with us to make a patch.  Sorry, I know thats not very helpful right now.
Comment 7 James Gregory 2008-12-09 15:12:10 EST
That's fair enough. Would it perhaps be possible to make a note somewhere - the help guide perhaps or on the wiki - which explains how to find the password?
Comment 8 Bug Zapper 2009-06-09 05:33:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Tomasz Chrzczonowicz 2009-07-09 18:42:27 EDT
This problem is still there after Fedora 11 release.
Comment 10 Mike McGrath 2009-07-20 17:53:42 EDT
Just fixed upstream, it'll be out in the next release.

Note You need to log in before you can comment on or make changes to this bug.